Skip to main content
GET
https://davinci-app.com
/
api
/
v2
/
programmatic
/
projects
/
{projectId}
/
objects
/
{objectId}
cURL
curl --request GET \
  --url https://davinci-app.com/api/v2/programmatic/projects/{projectId}/objects/{objectId} \
  --header 'Authorization: Bearer <token>'
import os
from davinci_sdk import DavinciClient

with DavinciClient(api_key=os.environ["DAVINCI_API_KEY"]) as client:
obj = client.projects.get_object("project-id", "object-id", branch="main")
print(obj.name, obj.type)
import { DavinciClient } from '@celedon/davinci-sdk';

const client = new DavinciClient({
apiKey: process.env.DAVINCI_API_KEY!,
});

const object = await client.projects.getObject('project-id', 'object-id', {
branch: 'main',
});
console.log(object.name, object.type);
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://davinci-app.com/api/v2/programmatic/projects/{projectId}/objects/{objectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "success": true,
  "data": {
    "id": "<string>",
    "type": "<string>",
    "name": "<string>",
    "parent": "<string>",
    "children": [
      "<string>"
    ],
    "documentation": "<string>"
  }
}
{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}

Authorizations

Authorization
string
header
default:dav_ak_live_your_token
required

Personal access token. Programmatic reads require the projects:read scope.

Path Parameters

projectId
string
required

Project id. May be compound in the form {projectId}--{branchName}.

Minimum string length: 1
objectId
string
required
Minimum string length: 1

Query Parameters

branch
string
default:main

Response

Project object.

success
boolean
required
data
object
required